#pragma once
#include "afxwin.h"

// CResponseDlg dialog

class CResponseDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CResponseDlg)

public:
	CResponseDlg(CWnd* pParent = nullptr);   // standard constructor
	virtual ~CResponseDlg();

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_RESPONSE };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
  
  afx_msg void OnBnClickedOk();
  afx_msg void OnBnClickedCancel();

  void				SetTitle(CString szTitle);
	void				SetQuestion(CString szQuestion);
	void				SetDefault(CString szDefault);
	void				SetLabel(CString szLabel);
	void				SetIsPassword(BOOL bPassword);
	foxit::WString		GetResponse();
private:
  CEdit m_editRes;
  CString m_szQuestion;
  CString m_szEdit;
  CString m_szTitle;
  CString m_szLabel;
  CString m_szDefault;
  BOOL m_bIsPassword;
public:
  virtual BOOL OnInitDialog();
private:
  CStatic m_staticQuestion;
};
